import { requests } from './index';
const PREFIX = 'api-marketing/';
import config from '@/config';
export const url = config.api + PREFIX;

//计费中心--获取账号余额, 今日消费
export const rechargeCenter = params => requests(PREFIX + 'recharge-center', params);

//计费中心--消费记录查询列表 (默认一个月的时间)
export const consumeRecord = params => requests(PREFIX + 'consume-record', params);

//计费中心--充值记录分页列表
export const rechargeRecord = params => requests(PREFIX + 'recharge-record', params);

//计费中心--短信营销消费详情--营销图表
export const messageMarketingChart = params => requests(PREFIX + 'message-marketing-chart', params);

//计费中心--短信营销消费详情--列表
export const messageMarketingPage = params => requests(PREFIX + 'message-marketing-page', params);

//计费中心--短信验证码消费详情
export const smsData = params => requests(PREFIX + 'sms-data', params);

//计费中心--语音验证码消费详情
export const voiceData = params => requests(PREFIX + 'voice-data', params);

//计费中心--双向呼叫消费详情
export const callData = params => requests(PREFIX + 'call-data', params);

//计费中心--通话录音消费详情
export const recordData = params => requests(PREFIX + 'call-record-data', params);
//计费中心--ai电话详情
export const aiCallData = params => requests(PREFIX + 'ai-billling-page', params);
//计费中心--AI电话详情消费总额
export const getAiTotalFee = params => requests(PREFIX + 'get-ai-total-fee', params);

//计费中心--点击充值后--第一步:获取余额, 各项服务单价
export const rechargeStep0 = params => requests(PREFIX + 'recharge-step-1', params);

//计费中心--点击充值后--第二步:获取二维码,支付金额信息
export const rechargeStep1 = params => requests(PREFIX + 'recharge-step-2', params);

//计费中心--点击充值后--第二步后进行定时刷新(判断是否充值成功)
export const rechargeStep2 = params => requests(PREFIX + 'recharge-step-3', params);

//获取账户状态 是否欠费
export const getAccountStateInfo = params => requests(PREFIX + 'account-state-info', params);

//计费中心--消费详情-视频列表
export const videoPage = params => requests('api-mall/' + 'get-traffic-cost-page', params);

//计费中心--视频流量
export const todayVideoTraffic = params => requests('api-mall/' + 'today-traffic', params);

//计费中心--消费详情-视频折线图
export const videoChartData = params => requests('api-mall/' + 'get-traffic-cost-picture', params);

//计费中心--消费详情-视频列表-导出
export const downloadTrafficCostListExcel = config.api + 'api-mall/' + 'download-traffic-cost-list-execl';

// 计费部门分页查询
export const getDepartList = params => requests(PREFIX + 'list-account-department-by-page', params);

// 计费部门单条总部数据
export const getDepartSum = params => requests(PREFIX + 'get-enterprise-account', params);

// 保存计费规则
export const saveAccountRule = params => requests(PREFIX + 'save-account-rule', params);

// 获取计费规则
export const getAccountRule = params => requests(PREFIX + 'get-enterprise-account-rule', params);

// 启用停用计费部门
export const updateDepartStatus = params => requests(PREFIX + 'update-account-department-status', params);

// 增加计费部门
export const addAccountDepart = params => requests(PREFIX + 'add-account-department', params);

// 获取部门列表
export const getAllDepart = params => requests('api-admin/' + 'list-clerk-department', params);

// 获取门店列表
export const getStoreList = params => requests('api-admin/' + 'depart-store-list', params);
